This zone applies an Automated Feature Selection algorithm to the set of variables so that its number is shrunk down to a set value.

![Feature Selection.png](0lg94dO5uAgR)

The feature selection is done by manipulating the analysis linked to the saved model [Feature Selection](saved_model:XPwCcJNy). The following [python recipe](recipe:compute_selected_features) will trigger training in the analysis and deploy the model that has the best features according to the method selected. The parameters that need to be defined are:

- ```feature_selection_method```: one of Forward, Lasso, or Tree. More information about these methods is available [here](article:9).
- ```nb_features```: the desired number of features.
- ```feature_selection_metric```: the optimization metric, is only needed when selecting the Forward method.

The output dataset contains the selected features along with a rank column that is either the absolute value of the regression coefficient for Forward and Lasso or the Feature Importance for Tree. A bar chart displays these values in the [dashboard](article:28). The user can explore the [analysis](analysis:CC7urEKg) to understand the different steps of the Feature Selection, especially when selecting the Forward or Lasso method which is iterative processes.

The final [python recipe](recipe:compute_applications_final) filters down the encoded dataset with the selected variables.


